#
# spec file for package perl-Mock-Config
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Mock-Config
Name:           perl-Mock-Config
Version:        0.40.0
Release:        1.4
# 0.04 -> normalize -> 0.40.0
%define cpan_version 0.04
License:        Artistic-2.0
Summary:        Temporarily set Config or XSConfig values
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Mock::Config) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
temporarily set Config or XSConfig values

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Sun Jan 26 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.40.0 (0.04)
  see /usr/share/doc/packages/perl-Mock-Config/Changes
  0.04    2025-01-25 10:45:08 rurban
    Regenerate GPG sig with latest Module::Signature
    add make release target
* Mon Oct 16 2017 coolo@suse.com
- initial package 0.03
  * created by cpanspec 1.78.08
